﻿Public Class Form1
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Me.Text = "何曜日？"
    ComboBoxYear.DropDownStyle = ComboBoxStyle.DropDownList
    ComboBoxMonth.DropDownStyle = ComboBoxStyle.DropDownList
    ComboBoxDay.DropDownStyle = ComboBoxStyle.DropDownList

    For i As Integer = 1 To 9999
      ComboBoxYear.Items.Add(i.ToString())
    Next
    ComboBoxYear.SelectedItem = DateTime.Now.Year.ToString()

    For i As Integer = 1 To 12
      ComboBoxMonth.Items.Add(i.ToString())
    Next
    ComboBoxMonth.SelectedItem = DateTime.Now.Month.ToString()
  End Sub


  Private Sub YearOrMonthChanged(sender As Object, e As EventArgs
    ) Handles ComboBoxYear.SelectedIndexChanged, ComboBoxMonth.SelectedIndexChanged

    If ComboBoxYear.Items.Count > 0 AndAlso ComboBoxMonth.Items.Count > 0 Then
      Dim selectedDay = ""
      If ComboBoxDay.Items.Count > 0 Then selectedDay = ComboBoxDay.SelectedItem.ToString()
      Dim days = DateTime.DaysInMonth(Integer.Parse(ComboBoxYear.SelectedItem.ToString()),
        Integer.Parse(ComboBoxMonth.SelectedItem.ToString()))
      ComboBoxDay.Items.Clear()
      For i As Integer = 1 To days
        ComboBoxDay.Items.Add(i.ToString())
      Next
      If selectedDay = "" Then
        ComboBoxDay.SelectedItem = DateTime.Now.Day.ToString()
      Else
        ComboBoxDay.SelectedItem = selectedDay
      End If
    End If
  End Sub

  Private Sub ComboBoxDay_SelectedIndexChanged(sender As Object, e As EventArgs
    ) Handles ComboBoxDay.SelectedIndexChanged

    Dim d = New DateTime(
      Integer.Parse(ComboBoxYear.SelectedItem.ToString()),
      Integer.Parse(ComboBoxMonth.SelectedItem.ToString()),
      Integer.Parse(ComboBoxDay.SelectedItem.ToString()))
    LabelDayOfTheWeek.Text = "は" & d.ToString("dddd") & "です"
  End Sub
End Class
