﻿Public Class Form1
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Dim sw = New Stopwatch()
    sw.Start()

    Me.Text = "名簿"
    Me.Width = My.Settings.Width
    Me.Height = My.Settings.Height

    With DataGridView1
      .Dock = DockStyle.Fill
      Dim columnNames() = New String() {"#", "名前", "生年月日"}
      .ColumnCount = columnNames.Length
      For i = 0 To columnNames.Length - 1
        .Columns(i).Name = columnNames(i)
      Next

      Dim myEncoding = System.Text.Encoding.GetEncoding("Shift_JIS")
      Dim input = System.IO.File.ReadAllText("c:\temp\100000.csv", myEncoding)
      Dim lines = input.Split({vbCrLf}, StringSplitOptions.RemoveEmptyEntries)

      '.Visible = False
      For i = 0 To lines.Length - 1
        Dim line = (i + 1).ToString() & "," & lines(i)
        Dim columns = line.Split(","c)
        .Rows.Add(columns)
      Next
      '.Visible = True
      'Me.Height += 1
    End With

    sw.Stop()
    Dim ts = New TimeSpan(sw.ElapsedMilliseconds * 10000)
    MessageBox.Show("処理に要した時間は" & ts.ToString("hh\:mm\:ss") & "（" &
      sw.ElapsedMilliseconds & "ミリ秒）です")
  End Sub

  Private Sub ButtonExit_Click(sender As Object, e As EventArgs) Handles ButtonExit.Click
    Application.Exit()
  End Sub

  Private Sub ButtonVersion_Click(sender As Object, e As EventArgs) Handles ButtonVersion.Click
    MessageBox.Show("名簿 Version 0.01", "バージョン情報")
  End Sub

  Private Sub Form1_FormClosed(sender As Object, e As FormClosedEventArgs) Handles MyBase.FormClosed
    My.Settings.Height = Me.Height
    My.Settings.Width = Me.Width
  End Sub
End Class
