﻿using System;
using System.Windows.Forms;

namespace IsSunday2 {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
    }

    private void Form1_Load(object sender, 
      EventArgs e) {
      
      this.Text = "何曜日？";
      comboBoxYear.DropDownStyle = 
        ComboBoxStyle.DropDownList;
      comboBoxMonth.DropDownStyle = 
        ComboBoxStyle.DropDownList;
      comboBoxDay.DropDownStyle = 
        ComboBoxStyle.DropDownList;

      for (int i = 1; i < 10000; i++)
        comboBoxYear.Items.Add(i.ToString());
      comboBoxYear.SelectedItem = 
        DateTime.Now.Year.ToString();

      for (int i = 1; i < 13; i++)
        comboBoxMonth.Items.Add(i.ToString());
      comboBoxMonth.SelectedItem = 
        DateTime.Now.Month.ToString();
    }

    private void YearOrMonthChanged(object sender, 
      EventArgs e) {

      if (comboBoxYear.Items.Count > 0 && 
        comboBoxMonth.Items.Count > 0) {
        string selectedDay = "";
        if (comboBoxDay.Items.Count > 0)
          selectedDay = comboBoxDay.
            SelectedItem.ToString();

        int days = DateTime.DaysInMonth(
          int.Parse(
          comboBoxYear.SelectedItem.ToString()), 
          int.Parse(
          comboBoxMonth.SelectedItem.ToString()));
        comboBoxDay.Items.Clear();
        for (int i = 1; i <= days; i++)
          comboBoxDay.Items.Add(i.ToString());
        if (selectedDay == "")
          comboBoxDay.SelectedItem = 
            DateTime.Now.Day.ToString();
        else
          comboBoxDay.SelectedItem = selectedDay;
      }
    }

    private void comboBoxDay_SelectedIndexChanged(
      object sender, EventArgs e) {

      var d = new DateTime(int.Parse(
        comboBoxYear.SelectedItem.ToString()),
        int.Parse(
        comboBoxMonth.SelectedItem.ToString()),
        int.Parse(
        comboBoxDay.SelectedItem.ToString()));

      labelDayOfTheWeek.Text = "は" + 
        d.ToString("dddd") + "です";
    }
  }
}
