﻿using System;
using System.Text;
using System.Windows.Forms;

namespace MakeTestData1 {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
    }

    private void Form1_Load(
      object sender, EventArgs e) {

      this.Text = "テストデータ作成";
    }

    private void buttonExecute_Click(
      object sender, EventArgs e) {

      var rnd = new Random();
      var sb = new StringBuilder();

      string[] names = new string[] { 
        "田中一郎", "鈴木二郎", "佐藤三郎", 
        "山田四郎", "斉藤五郎", "高橋六郎", 
        "渡辺七郎", "伊藤八郎", "山本九郎", 
        "中村十郎" };
      var firstDay = new DateTime(1900, 1, 1);
      var lastDay = new DateTime(1999, 12, 31);
      var daySpan = lastDay.Ticks - firstDay.Ticks;
      var myEncoding = System.Text.Encoding.
        GetEncoding("Shift_JIS");

      for (int size = 100; size <= 1000000;
        size *= 10) {
        sb.Clear();
        for (int i = 0; i < (int)(size / 10); i++)
          for (int j = 0; j < 10; j++) {
            var birthday = new DateTime(
              firstDay.Ticks +
              (long)(rnd.NextDouble() * daySpan));
            sb.AppendLine(names[j] + (i + 1) + "," +
              birthday.ToShortDateString());
          }
        var path = @"c:\temp\" +
          size.ToString() + ".csv";
        System.IO.File.WriteAllText(
          path, sb.ToString(), myEncoding);
      }
      MessageBox.Show("作成しました");
    }
  }
}
