﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace ResizableDialog {

  public partial class FormSetFont : Form {
    public FormSetFont() {
      InitializeComponent();
    }

    private void FormSetFont_Load(object sender, EventArgs e) {
      this.Text = "フォント設定";
      listBoxFontName.Dock = DockStyle.Fill;

      System.Drawing.Text.InstalledFontCollection ifc =
        new System.Drawing.Text.InstalledFontCollection();
      foreach (var family in ifc.Families) {
        listBoxFontName.Items.Add(family.Name);
      }
      listBoxFontName.SelectedItem = 
        ((Form1)this.Owner).textBox1.Font.Name;
    }

    private void buttonOk_Click(object sender, EventArgs e) {
      var font = new Font(
        listBoxFontName.SelectedItem.ToString(),
        ((Form1)this.Owner).textBox1.Font.Size);
      ((Form1)this.Owner).textBox1.Font = font;
      this.Close();
    }
  }
}
