﻿Public Class Form1
  Private MainData As List(Of Person) = New List(Of Person)

  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Const dataFileName = "meibo1.csv"
    Const errorTitle = "エラー"
    Me.Text = "名簿"
    Dim myEncoding = System.Text.Encoding.GetEncoding("Shift_JIS")
    Dim input = ""
    Try
      input = System.IO.File.ReadAllText(dataFileName, myEncoding)
    Catch ex As Exception
      MessageBox.Show(ex.Message, errorTitle)
      Application.Exit()
    End Try

    Dim lines = input.Split({Environment.NewLine},
      System.StringSplitOptions.RemoveEmptyEntries)

    For Each line In lines
      Dim columns = line.Split(","c)
      Dim p As Person = Nothing
      Try
        p = New Person(columns(0), columns(1))
      Catch ex As Exception
        MessageBox.Show(dataFileName & "の" & (MainData.Count + 1) & "行め「" & line &
          "」に問題があります" & vbCrLf & ex.Message, errorTitle)
        Application.Exit()
      End Try
      If Not p Is Nothing Then MainData.Add(p)
    Next
  End Sub
End Class
