﻿Public Class Form1
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    Me.Text = "名簿"
    With DataGridView1
      .Dock = DockStyle.Fill
      Dim columnNames() = New String() {"#", "名前", "生年月日"}
      .ColumnCount = columnNames.Length
      For i = 0 To columnNames.Length - 1
        .Columns(i).Name = columnNames(i)
      Next

      Dim myEncoding = System.Text.Encoding.GetEncoding("Shift_JIS")
      Dim input = System.IO.File.ReadAllText("meibo1.csv", myEncoding)
      Dim lines = input.Split({vbCrLf}, StringSplitOptions.RemoveEmptyEntries)
      For i = 0 To lines.Length - 1
        Dim line = (i + 1).ToString() & "," & lines(i)
        Dim columns = line.Split(","c)
        .Rows.Add(columns)
      Next
    End With
  End Sub

  Private Sub ToolStripMenuItemFileExit_Click(sender As Object, e As EventArgs) Handles ToolStripMenuItemFileExit.Click
    Application.Exit()
  End Sub

  Private Sub ToolStripMenuItemHelpVersion_Click(sender As Object, e As EventArgs) Handles ToolStripMenuItemHelpVersion.Click
    MessageBox.Show("名簿 Version 0.01", "バージョン情報")
  End Sub
End Class
