﻿Public Class Form1
  Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    With TextBoxResult
      .Multiline = True
      .Dock = DockStyle.Fill
      .ScrollBars = ScrollBars.Vertical
    End With
    ComboBoxMax.DropDownStyle = ComboBoxStyle.DropDownList
    Dim maxValues = {100, 1000, 10000, 100000, 1000000, 10000000, 100000000}
    For Each maxValue In maxValues
      ComboBoxMax.Items.Add(maxValue.ToString())
    Next
    ComboBoxMax.SelectedIndex = 0
  End Sub

  Private Sub ButtonSearch_Click(sender As Object, e As EventArgs) Handles ButtonSearch.Click
    Dim sw = New Stopwatch()
    sw.Start()

    TextBoxResult.Clear()
    Dim max = Integer.Parse(ComboBoxMax.SelectedItem.ToString())
    Dim count = 1

    Dim sb = New System.Text.StringBuilder()
    sb.AppendLine("2")
    For i = 3 To max
      Dim isPrime = True
      Dim limit As Integer = Math.Ceiling(Math.Sqrt(i))
      For j = 2 To limit
        If i Mod j = 0 Then
          isPrime = False
          Exit For
        End If
      Next
      If isPrime Then
        sb.AppendLine(i.ToString())
        count += 1
      End If
    Next
    TextBoxResult.Text = sb.ToString()

    'リスト8
    'Dim path = "c:\temp\prime" & max.ToString() & ".txt"
    'Dim myEncoding = System.Text.Encoding.GetEncoding("Shift_JIS")
    'System.IO.File.WriteAllText(path, sb.ToString(), myEncoding)

    'リスト9
    'Dim path = "c:\temp\prime" & max.ToString() & ".txt"
    'Dim myEncoding = System.Text.Encoding.GetEncoding("Shift_JIS")
    'Dim stWriter = New System.IO.StreamWriter(path, False, myEncoding)
    'stWriter.WriteLine("2")

    'For i = 3 To max
    '  Dim isPrime = True
    '  Dim limit As Integer = Math.Ceiling(Math.Sqrt(i))
    '  For j = 2 To limit
    '    If i Mod j = 0 Then
    '      isPrime = False
    '      Exit For
    '    End If
    '  Next
    '  If isPrime Then
    '    stWriter.WriteLine(i.ToString())
    '    count += 1
    '  End If
    'Next
    'stWriter.Close()

    sw.Stop()
    Dim ts = New TimeSpan(sw.ElapsedMilliseconds * 10000)
    MessageBox.Show(count & "個の素数が見付かりました。処理時間は" &
      sw.ElapsedMilliseconds & "ミリ秒（" &
      ts.ToString("hh\:mm\:ss") & "）でした")
  End Sub
End Class
